/* 
 * display.c
 *
 * Copyright (C) 1997,1998 Hermann Samso
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <ncurses.h>
#include "delfin.h"
#include "display.h"

CHAR banner[] =
"                                          __                                  \n"
"                                        ___              Delfin v1998.2       \n"
"                                      _____              Copyright 1998       \n"
"                                     _______             by Hermann Samso     \n"
"                                   ___________                                \n"
"                              ______________________                          \n"
"                         ________________________________                     \n"
"                    _________________________________________            ___  \n"
"                 _______________________________________________      ____    \n"
"               ____________________________________________________ _____     \n"
"             _  _____________________________________________________ __      \n"
"           _____________________________________________________________      \n"
"          ______________________________________________          _______     \n"
"         ________ __________________________________                  ______  \n"
"        ___________ ____________________________                         _____\n"
"        __________ ___________________ ___                                    \n"
"       _________  ___________________                                         \n"
"      _______  _________   ___________                                        \n"
"    ______  ______             _________                                      \n"
"  _____  ___                        _______                                   \n"
" ____  _                                                                      \n"
"  ____                                                                        \n";


void DisplayInit(void) {
	if (trace_on)
		fprintf(stderr, "DisplayInit()\n");
		
		
	initscr();
	cbreak();
	noecho();
	nonl();
	nodelay(stdscr, TRUE);
	timeout(0);
	keypad(stdscr, TRUE);
}


void DisplayDelfin(void) {
	if (trace_on)
		fprintf(stderr, "DisplayDelfin()\n");
		
	clear();
	addstr(banner);
	refresh();
}


void DisplayExit(void) {
	if (trace_on)
		fprintf(stderr, "DisplayExit()\n");
		
		
	endwin();
}


void DisplayClearBottom(void) {
	INT i;
	

	if (trace_on)
		fprintf(stderr, "DisplayClearBottom()\n");


	for (i = 0; i < COLS; i++) {
		mvprintw(LINES-2, i, " ");
		mvprintw(LINES-1, i, " ");
	}
}

